{% extends 'base.html.twig' %}

{% block stylesheets %}
    {{ parent() }}
    {{ encore_entry_link_tags('company_location_management/matching/looking_for_property_request_matching_result') }}
{% endblock %}

{% block javascripts %}
    {{ parent() }}
    {{ encore_entry_script_tags('company_location_management/matching/looking_for_property_request_matching_result') }}
{% endblock %}

{% block mainHeader %}
    <div class="container-fluid d-flex bg-white justify-content-start px-4 py-4">
        <a href="{{ path('company_location_management_matching_looking_for_property_request_overview', fetch_merged_url_parameters_by_session_key_name('matchingLookingForPropertyRequestOverview')) }}" class="me-2 d-flex align-items-center text-decoration-none"><i class="material-icons md-36">arrow_back</i></a>
        <span class="text-primary fs-5 align-self-center">Matching Ergebnisse, <i>{{ lookingForPropertyRequest.getTitle() }}</i></span>
    </div>
{% endblock %}

{% block main %}
    <div class="container-lg mt-4">
        <div class="mb-4">
            {% include 'company_location_management/component/matching/looking_for_property_request_detail_card_component.html.twig' with {'lookingForPropertyRequest': lookingForPropertyRequest} only %}
        </div>
        {% if numberOfMatchingResults > 0 %}
            <div class="mdc-card mb-4 p-4 text-center">
                {% if numberOfMatchingResults == 1 %}
                    Derzeit gibt es im Möglichkeitenraum {{ numberOfMatchingResults }} Objekt, das zum Ansiedlungsgesuch passt.
                {% elseif numberOfMatchingResults > 1 %}
                    Derzeit gibt es im Möglichkeitenraum {{ numberOfMatchingResults }} Objekte, die zum Ansiedlungsgesuch passen.
                {% endif %}
            </div>
        {% endif %}
        <div class="mdc-card mb-4">
            {% include 'company_location_management/component/matching/object_matching_list_component.html.twig' with {
                'idPrefix': 'object_matching_',
                'listItems': matchingResults,
                'noEntriesText': 'Aktuell gibt es keine passenden Objekte für dieses Ansiedlungsgesuch.',
                'massOperation': false,
                'pagination': false,
                'sortable': false
            } only %}
        </div>
    </div>
    {% for matchingResult in matchingResults %}
        {% include 'company_location_management/component/matching/looking_for_property_request_matching_result_modal_component.html.twig' with {
            'matchingResult': matchingResult
        } only %}
    {% endfor %}
{% endblock %}
